---
base_model:
- Qwen/Qwen2.5-7B-Instruct
- wvnvwn/qwen-2.5-7B-Instruct-SSFT-lr5e-5
- wvnvwn/qwen-2.5-7B-Instruct-SSFT-gsm8k-lr5e-5
library_name: transformers
tags:
- mergekit
- merge

---
# instruct_0.5

This is a merge of pre-trained language models created using [mergekit](https://github.com/cg123/mergekit).

## Merge Details
### Merge Method

This model was merged using the [linear](https://arxiv.org/abs/2203.05482) merge method.

### Models Merged

The following models were included in the merge:
* [Qwen/Qwen2.5-7B-Instruct](https://huggingface.co/Qwen/Qwen2.5-7B-Instruct)
* [wvnvwn/qwen-2.5-7B-Instruct-SSFT-lr5e-5](https://huggingface.co/wvnvwn/qwen-2.5-7B-Instruct-SSFT-lr5e-5)
* [wvnvwn/qwen-2.5-7B-Instruct-SSFT-gsm8k-lr5e-5](https://huggingface.co/wvnvwn/qwen-2.5-7B-Instruct-SSFT-gsm8k-lr5e-5)

### Configuration

The following YAML configuration was used to produce this model:

```yaml
dtype: float16
merge_method: linear
slices:
- sources:
  - layer_range: [0, 28]
    model:
      model:
        path: wvnvwn/qwen-2.5-7B-Instruct-SSFT-gsm8k-lr5e-5
    parameters:
      weight: 1.0
  - layer_range: [0, 28]
    model:
      model:
        path: wvnvwn/qwen-2.5-7B-Instruct-SSFT-lr5e-5
    parameters:
      weight: 0.5
  - layer_range: [0, 28]
    model:
      model:
        path: Qwen/Qwen2.5-7B-Instruct
    parameters:
      weight: -0.5
```
